Changeset 189


Ignore:
Timestamp:
Oct 27, 2006, 10:53:18 AM (15 years ago)
Author:
Jari Häkkinen
Message:

Fixed installation problems. Changed default installation path.

Location:
trunk/se/lu/thep/affymetrix
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/se/lu/thep/affymetrix/INSTALL

    r156 r189  
    31310. Introduction
    3232
    33 There is two supported ways to install the RMAExpress plug-in, you
    34 either download a pre-compiled plug-in package (RMAExpress itself is
    35 not a part of this package), or you checkout the latest source from
    36 the subversion repository. The below instructions covers both
    37 installation options since major parts of the installation is the same
    38 for the two cases.
    39 
    40 Irrespective which option you choose, there may be a need to compile
    41 RMAExpress. This plug-in utilize an external program for the
    42 underlying RMA algorithm. RMAExpress must be installed for this
     33There are two supported ways to install the RMAExpress plug-in, you
     34either download a pre-compiled package or you checkout the latest
     35source from the subversion repository. The below instructions covers
     36both installation options since major parts of the installation is the
     37same for the different cases. There is also a source package available
     38for download but installation from that package is currently not
     39supported, it is supplied for reference only.
     40
     41Note, the underlying RMAExpress algorithm itself is not a part of this
     42package. This packages contains the plug-in code needed for hooking up
     43RMAExpress to BASE as a plug-in. RMAExpress must be installed for this
    4344plug-in to work, see more in item 1.ii) below.
    4445
     
    4748
    4849Users who prefer the live on bleeding edge software and compiles the
    49 source from the subversion repository must go through all items below.
     50source from the subversion repository must go through all items except
     513.v).
    5052
    5153If you are upgrading a previously installed RMAExpress plug-in for
     
    55571. Pre-requisites
    5658
    57 i) Pre-requisite for both binary package and subversion tree installs:
     59i) Pre-requisite for both all install options:
    5860This plug-in will only work with BASE 2.0 (revision 2512) or later,
    5961i.e. BASE 1.2.x is not (and will never be) supported.
     
    8284fulfilled, but execution of the plug-in will fail.
    8385
    84 iii) Pre-requisite for subversion tree compilation: Compile time
    85 access to BASE core jar file.
     86iii) Pre-requisite for subversion tree compilation:
     87Compile time access to BASE core jar file.
    8688
    8789The BASE2Core.jar (must be later than subversion revision 2512) file
     
    8991
    9092
    91 2. Compilation of source from the subversion repository
    92 
    93 iv) If you install from a subversion working copy you must compile the
    94 plug-in, do
    95 
    96         make
     932. Compilation and installation from a subversion tree
     94
     95You should skip this section if you downloaded a pre-compiled package.
     96
     97iv) When installing from a subversion working copy you must compile
     98the plug-in, do
     99
     100  make
    97101
    98102This assumes that BASE is installed in /usr/local/base. If this is not
    99103the case do
    100104
    101         make BASEROOT=<base-dir>
    102 
    103 where <base-dir> is to be replaced with the path to BASE.
    104 
    105 
    106 3. Installation
    107 
    108 v) Install the plug-in in the BASE application server file system. If
    109 BASE is installed in /usr/local/base simply do
    110 
    111   make install
    112 
    113 If BASE is installed elsewhere, do
    114 
    115   make BASEROOT=<base-dir> install
    116 
    117 where <base-dir> is to be replaced by the path to BASE. The plug-in
    118 will install in the recommended directory
    119 <base-dir>/plugins/se/lu/thep/affymetrix, i.e. if you prefer another
    120 location please refer to the Makefile (which supports further options).
     105  make BASEROOT=<base-dir>
     106
     107where <base-dir> is to be replaced with the path to BASE. When the
     108compilation finishes you install the plug-in into the BASE application
     109server file system with
     110
     111  make install    or    make BASEROOT=<base-dir> install
     112
     113The plug-in will install in the recommended directory
     114<base-dir>/www/plugins/se/lu/thep/affymetrix, i.e. if you prefer
     115another location please refer to the Makefile (which supports further
     116options).
    121117
    122118For advanced users only: <base-dir> can really be any directory
     
    131127
    132128
     1293. Installation from a pre-compiled package
     130
     131You should skip this section if you use the subversion repository.
     132
     133v) Install the plug-in in the BASE application server file system. If
     134BASE is installed in /usr/local/base simply do
     135
     136  make install-precompiled
     137
     138If BASE is installed elsewhere, do
     139
     140  make BASEROOT=<base-dir> install-precompiled
     141
     142where <base-dir> is to be replaced by the path to BASE. The plug-in
     143will install in the recommended directory
     144<base-dir>/www/plugins/se/lu/thep/affymetrix, i.e. if you prefer
     145another location please refer to the Makefile (which supports further
     146options).
     147
     148For advanced users only: <base-dir> can really be any directory
     149readable for the user running your tomcat server. This may be handy if
     150you run several servers on one machine but only want one common
     151directory hierarchy for the plug-ins. Or, if you update the BASE
     152application frequently and in the process create new directories for
     153the newer application. More information about this is available in the
     154Makefile.
     155
     156Remember the plug-in location for configuration of BASE below.
     157
     158
    1331594. BASE configuration
    134160
     
    141167 - Click on 'New...'. This will open up the 'Create plugin' pop-up
    142168   window. Type "se.lu.thep.affymetrix.RMAExpress" in the 'Class'
    143    field and "<base-dir>/plugins/se/lu/thep/affymetrix/RMAExpress.jar"
    144    in the 'Path' field. Replace <base-dir> with whatever you used in
    145    item 3.v) above. Click on the 'Save' button.
     169   field and
     170   "<base-dir>/www/plugins/se/lu/thep/affymetrix/RMAExpress.jar" in
     171   the 'Path' field. Replace <base-dir> with whatever you used in item
     172   3.v) above. Click on the 'Save' button.
    146173
    147174 - Share the plug-in to all users/roles/groups that should have
     
    178205   - Locate the RMAExpress plug-in in the list and click on it.
    179206
    180    - Click on the 'Unload' button if it is available. This will remove
    181     the old plug-in from the application.
    182 
    183    - Click on 'Edit...'. This will open up the 'Edit plugin' pop-up
    184      window. No parameter changes are need, just click on the 'Save'
    185     button.
     207   - Click on the 'Unload' button if it is available. This will
     208     remove the old plug-in from the application.
     209
     210   - Click on 'Edit...'. This will open up the 'Edit plugin'
     211     pop-up window. No parameter changes are need, just click on
     212     the 'Save' button.
    186213
    187214   - Done.
  • trunk/se/lu/thep/affymetrix/Makefile

    r172 r189  
    6464
    6565# The directory, relative to $(BASEROOT), where to install the plug-in
    66 RELPLUGINDIR ?= plugins/se/lu/thep/affymetrix
     66RELPLUGINDIR ?= www/plugins/se/lu/thep/affymetrix
    6767PLUGINDIR ?= $(BASEROOT)/$(RELPLUGINDIR)
    6868
     
    7474BINPACKAGEFILE = base_rmaexpress_plugin-$(VERSION)
    7575# Files to include in binary distributions
    76 SRCDISTFILES = ChangeLog COPYING INSTALL Makefile README RMAExpress.java
     76SRCDISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile README RMAExpress.java
    7777# Binary package name
    7878SRCPACKAGEFILE = base_rmaexpress_plugin-$(VERSION)-src
     
    100100  cp -p RMAExpress.jar $(PLUGINDIR)
    101101
     102install-precompiled:
     103  mkdirhier $(PLUGINDIR)
     104  cp -p RMAExpress.jar $(PLUGINDIR)
     105
    102106$(JAR): RMAExpress.class
    103107  @echo Creating $(JAR)
Note: See TracChangeset for help on using the changeset viewer.